# Retrieve a membership profile

To fetch a single membership profile, send a `GET` request to the `/api/membership_profiles/:id` endpoint, where `id` is the ID of the resource that you want to retrieve.

## Request

**GET** <https://provisioning.commercelayer.io/ap&#x69;**/membership\\_profiles/:id>\*\*

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches the membership profile identified by the id "xYZkjABcde":

```sh
curl -g -X GET \
  'https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a single resource object:

```javascript
{
  "data": {
    "id": "xYZkjABcde",
    "type": "membership_profiles",
    "links": {
      "self": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde"
    },
    "attributes": {
      "name": "Marketing group",
      "test_enabled": false,
      "access_scope": "live_access",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "organization": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/relationships/organization",
          "related": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/organization"
        }
      },
      "application_memberships": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/relationships/application_memberships",
          "related": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/application_memberships"
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}
